Subject: Re: linux-next: manual merge of the drm tree with the drm-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 4 Mar 2019 11:54:02 +1100

Hi Dave,

On Fri, 1 Mar 2019 18:29:58 -0500 Alex Deucher <[email-masked]> wrote:
>
> On Thu, Feb 28, 2019 at 9:24 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the drm tree got a conflict in:
> >
> >   drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm.c
> >
> > between commit:
> >
> >   d63716658ac1 ("drm/amd/display: Use vrr friendly pageflip throttling in DC.")
> >
> > from the drm-fixes tree and commits:
> >
> >   8a48b44cd00f ("drm/amd/display: Call into DC once per multiplane flip")
> >   bc7f670ee04c ("drm/amd/display: Perform plane updates only when needed")
> >
> > from the drm tree.
> >
> > I had no idea how to resolve this, so I just effectively reverted the
> > drm-fixes commit.
> >
> > I fixed it up (see above) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.  
> 
> d63716658ac1 ("drm/amd/display: Use vrr friendly pageflip throttling
> in DC.") should be reverted and this should be applied instead for
> drm-next:
> https://cgit.freedesktop.org/~agd5f/linux/commit/?h=drm-next-5.2-wip&id=5d5f43c235d02e4d8e9d50d012f3b21f380486eb

Maybe you should merge the drm-fixes tree into the drm tree and apply
the above ... 
-- 
Cheers,
Stephen Rothwell
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel